/*
Use this module to create a trace log or back trace of 
your program, particularly good for threaded applications
where the debugger fails on unix.


Calling sequence

   trace_init(imsg);
   vtrace("step1");
   vtrace("step2");
   vtrace("step3");

signal_hanlder()
{
	trace_show("filename");
}
*/

int trace_add(char *source, int line, char *info);
int trace_show(char *fname, int xsig, int thid);
void trace_init(int (*vimsg)( const char *format ,...));
void trace_wait(void);
void trace_release(void);
int trace_disable(void);

#define vtrace(xxx) trace_add(__FILE__,__LINE__,xxx)
